#ifndef CGAL_HELPER_H_
#define CGAL_HELPER_H_

#include <CGAL/Polyhedron_3.h>
#include <CGAL/Simple_cartesian.h>

namespace cgal_helper {

typedef CGAL::Simple_cartesian<double> Kernel;
typedef CGAL::Polyhedron_3<Kernel> Polyhedron;

Polyhedron
create_polyhedron(const std::vector<std::tuple<double, double, double>> &points,
                  const std::vector<std::vector<unsigned int>> &faces);

bool inside(const Polyhedron &polyhedron, double xx, double yy,
                       double zz);

} // namespace cgal_helper

#endif
